;; The idea of this was to be able to figure out which version of Emacs was
;; running by typing
;;  <emacs> -batch -l eversion
;; Unfortunately, Epoch simply has a segment fault when given a -batch option.

(cond ((and (boundp 'epoch::version) epoch::version)
       (print 'epoch))
      ((string-match "XEmacs" (emacs-version))
       (print 'xemacs))
      ((string-match "Lucid" (emacs-version))
       (print 'lemacs))
      ((string-match "Emacs 20" (emacs-version))
       (print 'emacs20 t))
      ((string-match "Emacs 19" (emacs-version))
       (print 'emacs19))
      ((string-match "Emacs 18" (emacs-version))
       (print 'emacs18)))
